from Products.ATContentTypes.content.image import ATImage

try:
  from Products.LinguaPlone.public import *
except ImportError:
  # No multilingual support
  from Products.Archetypes.public import *


class ImageAttachment(ATImage):
    """An image attachment"""
    portal_type = meta_type = 'ImageAttachment'
    archetype_name = 'Image attachment'
    content_icon = 'image_icon.gif'
    typeDescription= 'An image attached to a document'
    typeDescMsgId  = 'ImageAttachment_description_edit'
    global_allow = 0

    default_view = 'imageattachment_view'
    immediate_view = 'imageattachment_view'
    suppl_views = ()

    __implements__ = ATImage.__implements__
    actions = ATImage.actions

registerType(ImageAttachment)
